Debian Bug report logs - #579041
python-scipy: Sparse (lil) assignment bug

version graph

Package: python-scipy; Maintainer for python-scipy is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-scipy is src:python-scipy.

Reported by: Johannes Hjorth <hjorth@nada.kth.se>

Date: Sat, 24 Apr 2010 17:03:02 UTC

Severity: normal

Found in version python-scipy/0.7.1-1

Fixed in version python-scipy/0.9.0+dfsg1-1

Done: Varun Hiremath <varun@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://projects.scipy.org/scipy/ticket/1166

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hjorth@nada.kth.se, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#579041; Package python-scipy. (Sat, 24 Apr 2010 17:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Hjorth <hjorth@nada.kth.se>:
New Bug report received and forwarded. Copy sent to hjorth@nada.kth.se, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 24 Apr 2010 17:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Hjorth <hjorth@nada.kth.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-scipy: Sparse (lil) assignment bug
Date: Sat, 24 Apr 2010 19:02:00 +0200
Package: python-scipy
Version: 0.7.1-1
Severity: normal


from scipy import sparse
a = sparse.lil_matrix((10,10))
a[:,2] = 1 # Works
a[4,:] = 3 # Fails


Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.5/site-packages/scipy/sparse/lil.py", line 313, in __setitem__
    self._insertat3(row, data, j, x)
  File "/usr/lib/python2.5/site-packages/scipy/sparse/lil.py", line 279, in _insertat3
    self._insertat2(row, data, jj, x)
  File "/usr/lib/python2.5/site-packages/scipy/sparse/lil.py", line 246, in _insertat2
    raise ValueError('setting an array element with a sequence')
ValueError: setting an array element with a sequence


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/16 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-scipy depends on:
ii  libamd2.2.0                 1:3.4.0-1    approximate minimum degree orderin
ii  libblas3gf [libblas.so.3gf] 1.2-7        Basic Linear Algebra Reference imp
ii  libc6                       2.10.2-6     Embedded GNU C Library: Shared lib
ii  libgcc1                     1:4.4.2-9    GCC support library
ii  libgfortran3                4.4.2-9      Runtime library for GNU Fortran ap
ii  liblapack3gf [liblapack.so. 3.2.1-2      library of linear algebra routines
ii  libstdc++6                  4.4.2-9      The GNU Standard C++ Library v3
ii  libumfpack5.4.0             1:3.4.0-1    sparse LU factorization library
ii  python                      2.5.4-9      An interactive high-level object-o
ii  python-central              0.6.14+nmu2  register and build utility for Pyt
ii  python-numpy                1:1.3.0-3+b1 Numerical Python adds a fast array

Versions of packages python-scipy recommends:
ii  g++ [c++-compiler]            4:4.4.2-3  The GNU C++ compiler
ii  g++-4.3 [c++-compiler]        4.3.4-8    The GNU C++ compiler
ii  g++-4.4 [c++-compiler]        4.4.2-9    The GNU C++ compiler

Versions of packages python-scipy suggests:
pn  python-profiler               <none>     (no description available)

-- no debconf information




Set Bug forwarded-to-address to 'http://projects.scipy.org/scipy/ticket/1166'. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sun, 25 Apr 2010 17:21:04 GMT) Full text and rfc822 format available.

Reply sent to Varun Hiremath <varun@debian.org>:
You have taken responsibility. (Thu, 07 Apr 2011 03:09:45 GMT) Full text and rfc822 format available.

Notification sent to Johannes Hjorth <hjorth@nada.kth.se>:
Bug acknowledged by developer. (Thu, 07 Apr 2011 03:09:56 GMT) Full text and rfc822 format available.

Message #12 received at 579041-close@bugs.debian.org (full text, mbox):

From: Varun Hiremath <varun@debian.org>
To: 579041-close@bugs.debian.org
Subject: Bug#579041: fixed in python-scipy 0.9.0+dfsg1-1
Date: Thu, 07 Apr 2011 03:04:50 +0000
Source: python-scipy
Source-Version: 0.9.0+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
python-scipy, which is due to be installed in the Debian FTP archive:

python-scipy-dbg_0.9.0+dfsg1-1_amd64.deb
  to main/p/python-scipy/python-scipy-dbg_0.9.0+dfsg1-1_amd64.deb
python-scipy_0.9.0+dfsg1-1.debian.tar.gz
  to main/p/python-scipy/python-scipy_0.9.0+dfsg1-1.debian.tar.gz
python-scipy_0.9.0+dfsg1-1.dsc
  to main/p/python-scipy/python-scipy_0.9.0+dfsg1-1.dsc
python-scipy_0.9.0+dfsg1-1_amd64.deb
  to main/p/python-scipy/python-scipy_0.9.0+dfsg1-1_amd64.deb
python-scipy_0.9.0+dfsg1.orig.tar.gz
  to main/p/python-scipy/python-scipy_0.9.0+dfsg1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 579041@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Varun Hiremath <varun@debian.org> (supplier of updated python-scipy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 06 Apr 2011 21:26:25 -0400
Source: python-scipy
Binary: python-scipy python-scipy-dbg
Architecture: source amd64
Version: 0.9.0+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Varun Hiremath <varun@debian.org>
Description: 
 python-scipy - scientific tools for Python
 python-scipy-dbg - scientific tools for Python - debugging symbols
Closes: 569008 579041 614407 617028
Changes: 
 python-scipy (0.9.0+dfsg1-1) unstable; urgency=low
 .
   * New upstream release (Closes: #614407, #579041, #569008)
   * Convert to dh_python2 (Closes: #617028)
Checksums-Sha1: 
 5e6f9056fceacf9fc7ca23941494df395d1347df 2365 python-scipy_0.9.0+dfsg1-1.dsc
 c7444495062a54511dce9dfc07a5daae145d9e4b 6223769 python-scipy_0.9.0+dfsg1.orig.tar.gz
 5bfa16f8bff23382292b8262f693ba7a1f544bdc 10612 python-scipy_0.9.0+dfsg1-1.debian.tar.gz
 f2f754df6b42bf71585a319d73419cfcddaa2277 11831140 python-scipy_0.9.0+dfsg1-1_amd64.deb
 dea202d6f10ac72b8b40bc4571bd6785a2512773 31006378 python-scipy-dbg_0.9.0+dfsg1-1_amd64.deb
Checksums-Sha256: 
 6f9d69db72b4f5af86d2641cf45e590fc9fe931b9c8e05527e581070ea406b06 2365 python-scipy_0.9.0+dfsg1-1.dsc
 996b9bd691dd81b7d8921f63e7e1109730af6d5dbaa498b35ec3f8e4b05554b7 6223769 python-scipy_0.9.0+dfsg1.orig.tar.gz
 5d67c640fed1a666d5e24b97b822cba58beffa6b7acd59d7f271f535b45c9c71 10612 python-scipy_0.9.0+dfsg1-1.debian.tar.gz
 6dccc12b851ebb9f1b1051a325aa49c3df294edb26a30d11ee4ba94708c19f75 11831140 python-scipy_0.9.0+dfsg1-1_amd64.deb
 0e785cecff888aa483ad04af94d76e4a8344accd69c0bf0a785d302c9d894c5e 31006378 python-scipy-dbg_0.9.0+dfsg1-1_amd64.deb
Files: 
 eaaeec9e7d1493c8899a1408f987c1bb 2365 python extra python-scipy_0.9.0+dfsg1-1.dsc
 edba232b5db5feae2beed36a04fd3480 6223769 python extra python-scipy_0.9.0+dfsg1.orig.tar.gz
 0053da3aa284771edea9822203775067 10612 python extra python-scipy_0.9.0+dfsg1-1.debian.tar.gz
 7a0a758a0101cb3ae9dde2c50bc1897b 11831140 python extra python-scipy_0.9.0+dfsg1-1_amd64.deb
 1ebbe056d0e43b74a2643f070375d98c 31006378 debug extra python-scipy-dbg_0.9.0+dfsg1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJNnSPHAAoJEHA3PPEpDbnOK9cP/0lg6Vet7P9UNq2QLe2hxd1d
oeqmVh2OlzqDaAqGagoood4HHgSGw5QBL8neu94wp30EFswYfY0+sKWPmVjwJTbv
FLlhEsa2fz+Tvbu4cCmi+yWPptaqZ+jzgiy/SwZJbjwaOr8hUDDKBkxj+JZ7x40S
FcsCn9f/E9T3AGz/K457qW2JgbeLYZTkMtrhPh+9z81fmJjN0Np9+BZ9Ga+7ZhO6
7gM4+1Lkv8AkASeQX51w+RuNoyzLd8VgWjf4wTT8gTrcEd1PlUmh6dv8XbWad74s
ZUQUypl2HrTGDil7CbFgJ1Qfx2PQOOu/rJ6WVy+HhMcfEll6CxUi0ElUMFWS7IcI
68d8DEtohKIDyclAVM71vLJzU00zhpQa3MQ04B0eJx+UIf1X4JdyKJ25QnzJrkzm
zYQILNxOZCcQT/mKau3SgLCQ97ks2aBfJ4Kpw3ZcF7eiaaRsSRoWR/wGqkGrw7iS
N0wKdCawryN4VnddMIAojcBCvngcO0AQEdmOtuWgz4UzPzculzCJpY7u8LfB3UxR
efw9SOhDrT3HuozMZ/2hh1SC6IfzCCAPTm4d5qlUp/P/+pDlTlxigiYsb2BNPdyI
vV1pNT+IJC4PiDYJB7i8v44cjwjmCROet0bY+w55gJMudtmduBekH1+lRQhe0nLj
N7c3ysI+x4XxcoLvqN7w
=VL74
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 May 2011 07:36:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:19:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.